Loading...
Searching...
No Matches
Serialization.h File Reference
`#include "Pipeline.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.

## Functions

void | Halide::serialize_pipeline (const Pipeline &pipeline, std::vector< uint8_t > &data)
| Serialize a Halide pipeline into the given data buffer.
void | Halide::serialize_pipeline (const Pipeline &pipeline, std::vector< uint8_t > &data, std::map< std::string, Parameter > &params)
| Serialize a Halide pipeline into the given data buffer.
void | Halide::serialize_pipeline (const Pipeline &pipeline, const std::string &filename)
| Serialize a Halide pipeline into the given filename.
void | Halide::serialize_pipeline (const Pipeline &pipeline, const std::string &filename, std::map< std::string, Parameter > &params)
| Serialize a Halide pipeline into the given filename.